GET /serviceengine/{uuid}/objsync/

GET /serviceengine/{uuid}/objsync/

/serviceengine/{uuid}/objsync/

Request
URI
GET
https://{api_host}/api/serviceengine/{uuid}/objsync
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SeAgentObjsyncDetails of type(s) application/json
{
    "config_version": 0,
    "disconnected_ses": [
        "string"
    ],
    "Frees": 0,
    "GCCPUFraction": "number",
    "HeapAlloc": "string",
    "HeapInuse": "string",
    "HeapObjects": 0,
    "LastGC": "string",
    "Mallocs": 0,
    "memory": 0,
    "NextGC": "string",
    "num_gc": 0,
    "num_goroutines": 0,
    "NumForcedGC": 0,
    "PauseTotalNs": 0,
    "peer_connections_failed": 0,
    "peer_connections_successful": 0,
    "se_uuid": "string",
    "StackSys": "string",
    "TotalAlloc": "string"
}
integer As uint32 As uint32
config_version
Optional

config version. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
disconnected_ses
Optional

All peer SE UUIDs failed to connect. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
Frees
Optional

The cumulative count of heap objects freed. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

number As double As double
GCCPUFraction
Optional

The fraction of this program's available CPU time used by the GC since the program started. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
HeapAlloc
Optional

Bytes of allocated heap objects which include all reachable objects,as well as unreachable objects that the garbage collector has not yet freed. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
HeapInuse
Optional

HeapInuse minus HeapAlloc estimates the amount of memory that has been dedicated to particular size classes,but is not currently being used. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
HeapObjects
Optional

Number of allocated heap objects. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
LastGC
Optional

LastGC is the time the last garbage collection finished. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
Mallocs
Optional

The cumulative count of heap objects allocated. The number of live objects is Mallocs - Frees. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
memory
Optional

memory consumed by object sync. Field introduced in 20.1.3. Unit is BYTES. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
NextGC
Optional

NextGC is the target heap size of the next GC cycle. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_gc
Optional

garbage collector counter. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_goroutines
Optional

number of go routines. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
NumForcedGC
Optional

The number of GC cycles that were forced by the application calling the GC function. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
PauseTotalNs
Optional

The cumulative nanoseconds in GC stop-the-world pauses since the program started.During a stop-the-world pause, all goroutines are paused and only the garbage collector can run. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
peer_connections_failed
Optional

Peer Connections Failed. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
peer_connections_successful
Optional

Peer Connections Successful. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Optional

SE uuid. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
StackSys
Optional

Bytes of stack memory obtained from the OS. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
TotalAlloc
Optional

TotalAlloc is cumulative bytes allocated for heap objects.It increases as heap objects are allocated, but unlikeAlloc and HeapAlloc, it does not decrease when objects are freed. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/objsync
                
Service Engine Operations
GET
GET /serviceengine
GET
GET /serviceengine/{uuid}
PUT
PUT /serviceengine/{uuid}
PATCH
PATCH /serviceengine/{uuid}
DELETE
DELETE /serviceengine/{uuid}
POST
POST /serviceengine/{uuid}/reboot
POST
POST /serviceengine/{uuid}/forcedelete
POST
POST /serviceengine/{uuid}/switchover
POST
POST /serviceengine/clear
GET
GET /serviceengine/{uuid}/runtime/
GET
GET /serviceengine/{uuid}/runtime/detail/
GET
GET /serviceengine/{uuid}/internal/
GET
GET /serviceengine/{uuid}/ipstat/
GET
GET /serviceengine/{uuid}/arpstat/
GET
GET /serviceengine/{uuid}/icmpstat/
GET
GET /serviceengine/{uuid}/mbufstats/
GET
GET /serviceengine/{uuid}/mallocstats/
GET
GET /serviceengine/{uuid}/shmallocstats/
GET
GET /serviceengine/{uuid}/seassertstats/dp/
GET
GET /serviceengine/{uuid}/seassertstats/ag/
GET
GET /serviceengine/{uuid}/sevshbstats/
GET
GET /serviceengine/{uuid}/sevssplacement/
GET
GET /serviceengine/{uuid}/cpu/
GET
GET /serviceengine/{uuid}/cpu/detail/
GET
GET /serviceengine/{uuid}/meminfo/
GET
GET /serviceengine/{uuid}/interface/
GET
GET /serviceengine/{uuid}/systeminfo/
GET
GET /serviceengine/{uuid}/hugepageinfo/
GET
GET /serviceengine/{uuid}/bgp/
GET
GET /serviceengine/{uuid}/bgp/debug/
GET
GET /serviceengine/{uuid}/bgp/advertised_routes/
GET
GET /serviceengine/{uuid}/bgp/peer_status/
GET
GET /serviceengine/{uuid}/bgp/peer_info/
GET
GET /serviceengine/{uuid}/bgp/running_config/
GET
GET /serviceengine/{uuid}/bgp/peer_state/
GET
GET /serviceengine/{uuid}/bfd/running_config/
GET
GET /serviceengine/{uuid}/bfd/session_status/
GET
GET /serviceengine/{uuid}/interfacesummary/
GET
GET /serviceengine/{uuid}/interface/lacp/
GET
GET /serviceengine/{uuid}/lldp/
GET
GET /serviceengine/{uuid}/route/
GET
GET /serviceengine/{uuid}/ip6route/
GET
GET /serviceengine/{uuid}/arptable/
GET
GET /serviceengine/{uuid}/httpstats/
GET
GET /serviceengine/{uuid}/seruminsertionstats/
GET
GET /serviceengine/{uuid}/selogstats/
GET
GET /serviceengine/{uuid}/seauthstats/
GET
GET /serviceengine/{uuid}/vnicdb/
GET
GET /serviceengine/{uuid}/vnicdbhistory/
GET
GET /serviceengine/{uuid}/graphdb/
GET
GET /serviceengine/{uuid}/seagent/
GET
GET /serviceengine/{uuid}/resourcemap/
GET
GET /serviceengine/{uuid}/consistenthash/
GET
GET /serviceengine/{uuid}/appmap/
GET
GET /serviceengine/{uuid}/shardclientevents/
GET
GET /serviceengine/{uuid}/qatinfo/
GET
GET /serviceengine/{uuid}/rteringstat/
GET
GET /serviceengine/{uuid}/sehmprobedisable/
GET
GET /serviceengine/{uuid}/flowtablestat/
GET
GET /serviceengine/{uuid}/flowtable/
GET
GET /serviceengine/{uuid}/vshash/
GET
GET /serviceengine/{uuid}/flowtable_remote/
GET
GET /serviceengine/{uuid}/tcp-flows/
GET
GET /serviceengine/{uuid}/sctp-flows/
GET
GET /serviceengine/{uuid}/tcp-flows/detail/
GET
GET /serviceengine/{uuid}/sctp-flows/detail/
GET
GET /serviceengine/{uuid}/metrics/
GET
GET /serviceengine/{uuid}/metrics/detail/
GET
GET /serviceengine/{uuid}/metrics/debug/
GET
GET /serviceengine/{uuid}/metrics/debug/summary/
GET
GET /serviceengine/{uuid}/dosstat/
GET
GET /serviceengine/{uuid}/memdist/
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mbuf/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl_small/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/sefault/clear
GET
GET /serviceengine/{uuid}/placement/
GET
GET /serviceengine/{uuid}/reservedvs/
GET
GET /serviceengine/{uuid}/microservice/
GET
GET /serviceengine/{uuid}/ndtable/
GET
GET /serviceengine/{uuid}/ip6stat/
GET
GET /serviceengine/{uuid}/icmp6stat/
GET
GET /serviceengine/{uuid}/natstat/
GET
GET /serviceengine/{uuid}/nat-flows/
GET
GET /serviceengine/{uuid}/network-service/
GET
GET /serviceengine/{uuid}/natpolicystats/
GET
GET /serviceengine/{uuid}/vrf-ip-info/
GET
GET /serviceengine/{uuid}/ratelimiting/rl/internal/
GET
GET /serviceengine/{uuid}/ratelimiting/msf/internal/
GET
GET /serviceengine/{uuid}/routestat/
GET
GET /serviceengine/{uuid}/route-flows/
GET
GET /serviceengine/{uuid}/objsync/
GET
GET /serviceengine/{uuid}/resolverdb/
GET
GET /serviceengine/{uuid}/resolverdbsummary/
GET
GET /serviceengine/{uuid}/seagent_sedatastore_download_fail_obj_list/
GET
GET /serviceengine/{uuid}/botuacacheruntime/
GET
GET /serviceengine/{uuid}/botuacachestatsruntime/
GET
GET /serviceengine/{uuid}/placement/summary/
GET
GET /serviceengine/{uuid}/placement/detail/
GET
GET /serviceengine/{uuid}/adaptiveevents/
GET
GET /serviceengine/{uuid}/dpmetrics/
GET
GET /serviceengine/{uuid}/objsync_stats/
GET
GET /serviceengine/{uuid}/diameter/connections/
GET
GET /serviceengine/{uuid}/dump_objsync_stats/
GET
GET /serviceengine/{uuid}/qatstats/
GET
GET /serviceengine/{uuid}/flowtablestat6/
GET
GET /serviceengine/{uuid}/selogagentstats/
GET
GET /serviceengine/{uuid}/selogagentoperstats/
GET
GET /serviceengine/{uuid}/selogagentcontrollerinterfacestats/
GET
GET /serviceengine/{uuid}/selogagentnetworkstreamstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/details/
GET
GET /serviceengine/{uuid}/nicinfo/